Grasshopper

algorithmic modeling for Rhino

Anders Holden Deleuran
  • Male
  • Copenhagen
  • Denmark
Share on Facebook
Share

Anders Holden Deleuran's Friends

  • Phil Ayres
  • Aakriti Sood
  • CITA
  • Henrik Leander Evers
  • Brian Ringley
  • Mostapha Sadeghipour Roudsari
  • Miguel Rus
  • Erick Vásquez
  • Toussaint Jimenez Rojas
  • kao.gene
  • djordje
  • Ian Huff
  • hamia Aghaiemeybodi
  • Jeg
  • Mathias Gmachl

Anders Holden Deleuran's Groups

Anders Holden Deleuran's Discussions

Geometry Parameter: Vector being cast to Point

When you pass a Vector3D through a Geometry parameter it is cast to Point3D. Seems like a bug to me. See attached file. Best, AndersContinue

Started Jan 20

Wish: Add Single Click Functionality to Boolean Toggle
4 Replies

Hi David,I've been using the RCP quite a lot lately and have come to appreciate how a Boolean Toggle published in the RCP acts more like a radio button requiring only a single mouse click to change…Continue

Started this discussion. Last reply by Anders Holden Deleuran Nov 12, 2014.

Wish: Lock position and Name/Nickname of canvas objects
8 Replies

Hi David, I just did a search for "lock position" and a couple of…Continue

Started this discussion. Last reply by David Rutten Jun 25, 2014.

Making Kangaroo forces using Node-in-code is very slow
3 Replies

Hi All,Following a couple of…Continue

Tags: Node-in-code, Kangaroo, Python

Started this discussion. Last reply by Anders Holden Deleuran Apr 4, 2014.

 

Hello, Anders Holden Deleuran!

Latest Activity

Anders Holden Deleuran replied to Marc's discussion Python dictionary unpacking problem?!
"See the attached file for a quick debugged version.."
16 hours ago
Anders Holden Deleuran replied to Ethan's discussion force in kangaroo that stays normal to a mesh face as it moves
"You can probably use the "Bend" force with a "RestAngle" set to whatever the curl is supposed to be. I believe there are a few examples of this force applied to a mesh floating around the forum.."
yesterday
Anders Holden Deleuran replied to Anton Szilasi's discussion Using hoopsnake to add values to a list while in loop using python in the group Hoopsnake
"Not quite sure what you're trying to achieve, but it sounds like you could use the RhinoPython sticky feature for this. See this thread for a simple example. I wonder why you're not just using Python for whatever looping Hoopsnake is…"
Saturday
Anders Holden Deleuran replied to Adam Laskowitz's discussion Reading JSON data
"If you unwire the out parameter from the panel it works. You can open the Python component to inspect and manipulate the data from there. I think the drawing error is caused by sending a really large string from "out" to the panel that it…"
Jan 21
Anders Holden Deleuran replied to Sara's discussion How can i model this lily pad project by vincent calibeaut? is there any tutorial for modeling something like this?
"This is probably currently the best place to start: http://modelab.is/grasshopper-primer/. I would suggest forgetting about plug-ins for now and just focus on Grasshopper. Then slowly build up complexity with things like Galapagos (once you…"
Jan 21
Anders Holden Deleuran posted a discussion

Geomatry Parameter: Vector being cast to Point

When you pass a Vector3D through a Geometry parameter it is cast to Point3D. Seems like a bug to me. See attached file. Best, AndersSee More
Jan 20
Anders Holden Deleuran replied to Vincenzo Reale's discussion Clear cache / visualisation - Python
"Ah, in that case you'll probably have more luck over on the Discourse forum. Although I would recommend staying in Grasshopper for anything animated and/or interactive as most of the functionality you'll need is already there.The sticky is…"
Jan 18
Anders Holden Deleuran replied to Vincenzo Reale's discussion Clear cache / visualisation - Python
"If you're writing this in a GHPython component you really should let Grasshopper handle the rendering and not have to deal with the Rhino document. If you want to animate something, one way of doing it is using a combination of the timer…"
Jan 18
Anders Holden Deleuran replied to ginasun's discussion How to built a shape by GH?
"This might help.."
Jan 13
Anders Holden Deleuran replied to Anton Szilasi's discussion Creating a bar graph using a python component - Stuck on how to use meshes
"The Human plugin has a component for displaying curves/lines with custom weights. If you want to script this you could use the CustomDisplay class. It can be a tricky though, having to dispose of the display and what not. I think a simpler…"
Jan 9
Anders Holden Deleuran replied to Anton Szilasi's discussion Python/Rhinoscript code for an Entwine component
"You will need to familiarise yourself with how to make and populate Grasshopper data trees (see attached file for a simple example). I would recommend downloading the GH SDK and study the Grasshopper.DataTree class for this (help -> Download SDK…"
Jan 9
Anders Holden Deleuran replied to Lawrence Yun's discussion How do I move something in Python
"Afraid not, it is taking advantage of basic vector math shorthand syntax. For any geometry type you can however use the transform method with a translation transform."
Jan 5
Anders Holden Deleuran replied to Lawrence Yun's discussion How do I move something in Python
"You could also just add the point with a translation vector, like so: import Rhino as rc# Make point and vectormyPoint = rc.Geometry.Point3d(0,0,0)myVector = rc.Geometry.Vector3d(1,1,0)#"Move" pointmyPoint = myPoint + myVector"
Jan 4
Anders Holden Deleuran replied to Eduardo's discussion Python List to Branch solver
"I don't see why it is "bad" to import the grasshopper assembly. If you're going to be making or modifying gh datatrees via scripting you are going to need it. You can make the datatree structure as complex as you like using the…"
Dec 18, 2014
Anders Holden Deleuran replied to Eduardo's discussion Python List to Branch solver
"A "clean" way would be to make a GH datatree in the script and populate it. See attached file.."
Dec 18, 2014
Anders Holden Deleuran replied to Rico Cacciatore's discussion How to Write a form finding GH definition to select random elements and connect them whilst following a set of predefined rules.
"Breaking down the Rubyscript to pseudocode or a flowchart would probably be a good start (i.e. analyse the algorithm). Then identify which geometry types are being implemented (i.e. read the Sketchup SDK) and find equivalent types in…"
Dec 1, 2014

Profile Information

Company, School, or Organization
PhD Fellow, CITA, Royal Danish Academy of Fine Arts, School of Architecture
Web or Blog
http://www.andersholdendeleuran.com

Anders Holden Deleuran's Blog

Mesh Analysis GHPython Components

Hi All,



I'm currently in the process of wrapping my head around GitHub. Seeing as how I'm now back in academia I thought this might be a good chance to share some code, for once :)



CITA recently helped conduct the Amphibious Hamburg workshop at the AAC in Hamburg co-tutored by…

Continue

Posted on July 17, 2014 at 6:30am — 7 Comments

Comment Wall (13 comments)

You need to be a member of Grasshopper to add comments!

Join Grasshopper

At 7:31am on November 19, 2014, hamia Aghaiemeybodi said…

Many thanks Anders,

I used xlrd and xlwt it works but its a bit tricky. I'll try the .NET methods.

cheers

At 2:55pm on November 17, 2014, hamia Aghaiemeybodi said…

Hi Anders,

Do you know how can I open and excel sheet in python grasshopper, add some line to the sheet, save and close it!

Thanks

At 2:20pm on October 17, 2014, hamia Aghaiemeybodi said…

Hi Anders, thanks for the reply. I checked that already it says if it is cylinder but I'm looking for a way to find out an easy way to pre-rationalize sub-surfaces which are not cylinder but close to cylinder so I can convert them to cylinder surface later! if it make any sense to you . . .

At 5:24pm on October 10, 2014, hamia Aghaiemeybodi said…

Hi Anders;

Do you any easy and basic way to check if a double surface cab get converted into cylinder surface? Basically for fabrication to check if I can reduce the cost by converting few double curved panel and get more or less the same result!

many thanks!

At 7:30am on January 29, 2014, hamia Aghaiemeybodi said…

Many thanks Anders;

I figured that out, now I'm looking for way to convert text to one single curve (to save time for laser cutting). At the moment i get the out line of text as curve which is great but still time consuming.

Regards,

H/

At 7:26am on January 28, 2014, hamia Aghaiemeybodi said…

here is the complete one:

if(!string.IsNullOrEmpty(face) && size > 0 && !string.IsNullOrEmpty(content) &&
pl.IsValid)
{

var te = RhinoDoc.ActiveDoc.Objects.AddText(content, pl, size, face, bold, italics);
Rhino.DocObjects.TextObject txt = RhinoDoc.ActiveDoc.Objects.Find(te) as Rhino.DocObjects.TextObject;

if(txt != null)
{
var tt = txt.Geometry as Rhino.Geometry.TextEntity;
A = tt.Explode();
}

RhinoDoc.ActiveDoc.Objects.Delete(te, true);

At 7:14am on January 28, 2014, hamia Aghaiemeybodi said…

Hi Anders;

Do you know how can i convert  this c# code into python? The goal is to creat single curve text for laser cut:

RhinoDoc.ActiveDoc.Objects.AddText(content, pl, size, face, bold, italics);Rhino.DocObjects.TextObject txt = RhinoDoc.ActiveDoc.Objects.Find(te) as Rhino.DocObjects.TextObject;

thanks . . .

At 12:17am on March 7, 2013, hamia Aghaiemeybodi said…

Hi.

Of course. Thanks for reply. I'm using conditional check. It helps more and as you said easier to figure out where the problem is.

Thanks,

At 9:57am on March 4, 2013, hamia Aghaiemeybodi said…

Hej man,

I found it again, seems like to solve my problem i just need to post my question on your wall :D . .. 

cheers...

At 8:04am on March 4, 2013, hamia Aghaiemeybodi said…

Hi anders,

I'm trying to split curves in python and i get this eror:

Runtime error (TypeErrorException): Parameter must be a Guid or string representing a Guid

Im sure its Guid!!!

here is the simple script:

import rhinoscriptsyntax as rs
import Rhino as rc
curve01=rs.coercegeometry(x)
curve01.Domain = rc.Geometry.Interval(0,1)
print (rs.CurveDomain(curve01))
a=rs.SplitCurve(curve01,y)

ay idea!

Thanks.

 
 
 

Translate

Search Grasshopper

Photos

  • Add Photos
  • View All

Videos

  • Add Videos
  • View All

© 2015   Created by Scott Davidson.   Powered by

Badges  |  Report an Issue  |  Terms of Service